| IGLib 1.6.0 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Classes | Public Member Functions | List of all members
IG.Script.ScritpRealFunctionExample Class Reference

Example script for definition of a new real function class. More...

Inheritance diagram for IG.Script.ScritpRealFunctionExample:
[legend]
Collaboration diagram for IG.Script.ScritpRealFunctionExample:
[legend]

## Classes
class | Container
| Container class inherits from M in order to enable use of comfortable mathematical functions. More...

## Public Member Functions
override LoadableRealFunctionBase | CreateRealFunction ()
| Creates and returns a new real function object where object is of real function class that has been dynamically loaded from the current script. More...
override LoadableRealFunctionBase | CreateRealFunction (double Kx, double Sx)
| Creates and returns a new real function object where object is of real function class that has been dynamically loaded from the current script. More...
override LoadableRealFunctionBase | CreateRealFunction (double Kx, double Sx, double Ky, double Sy)
| Creates and returns a new real function object where object is of real function class that has been dynamically loaded from the current script. More...
Public Member Functions inherited from IG.Lib.LoadableScriptBase
| LoadableScriptBase ()
| Argument-less constructor. If argument-less constructor is called then initialization is not performed and will be performed later. More...
string | Run (string[] arguments)
| Performs the action of this object. Override this in derived classes! More...
void | Initialize (string[] arguments)
| Initializes the object. If not called explicitly, this method is automatically called at the first call to the Run method. More...
virtual string | Script_DefaultInitialize (string[] arguments)
| Default initialization method for scripts. More...
virtual string | Script_DefaultRun (string[] arguments)
| Default run method for the script. Can be used when only installed commands are run by hte script. More...
virtual ICommandLineApplicationInterpreter | Script_CreateInterpreterWithoutCommands ()
| Creates and returns an interpreter that can be used as script's internal interpreter for running script's commands. More...
virtual void | Script_AddCommands (ICommandLineApplicationInterpreter interpreter, SortedList< string, string > helpStrings)
| Add wscript's internal commands to the specified interpreter. More...
delegate string | Script_CommandDelegate (string[] args)
| Delegate for commands that are installed on script's internal interpreter (property Interpreter). More...
void | Script_AddCommand (string commandName, Script_CommandDelegate command, string helpString)
| Adds a new internal script command under specified name to the internal interpreter of the current script object. More...
virtual void | Script_AddCommand (ICommandLineApplicationInterpreter interpreter, SortedList< string, string > helpStrings, string commandName, Script_CommandDelegate command, string helpString)
| Adds a new internal script command under specified name to the internal interpreter of the current script object. More...
string | Script_GetHelpString (string scriptCommandName)
| Returns help string for internal script command with specified name, or null if help string is not installed for such a command. More...
void | Script_PrintCommandsHelp ()
| Prits help for the installed internal commands of the script. More...
virtual bool | Script_ContainsCommand (string commandName)
| Returns true if the internal script's interpreter contains a command with specified name, false otherwise. More...
virtual bool | Script_ContainsScriptCommand (string commandName)
| Returns true if the specified command is script command (i.e. its first argument is command-name and it is run through the Script_CommandAdapter object). More...
virtual void | Script_RemoveCommand (string commandName)
| Removes the specified internal script command from the internal interpreter of the current scripting object. More...
virtual void | Script_RemoveAllCommands ()
| Removes ALL internal script commands from the internal interpreter of the current scripting object. More...
string | Script_Run (string[] arguments)
| Runs internal script command. More...
string | Script_Run (string commandName, params string[] otherArguments)
| Runs internal script command. More...
virtual void | Script_PrintArguments (string messageString, string[] arguments)
| Prints the specified array of string arguments (usually passed as command-line arguments). More...

## Additional Inherited Members
Public Attributes inherited from IG.Lib.LoadableScriptBase
const string | ConstDefaultHelp = "Help"
| Default command name for help. More...
const string | ConstHelpDefaultUniversal = "?"
| Universal name of the help command. More...
const string | ConstDefaultTestScrip = "TestScript"
| Default command name for test method. More...
Protected Member Functions inherited from IG.Lib.LoadableScriptRealFunctionBase
override void | InitializeThis (string[] arguments)
| Script initialization, defined just for formal reasons. More...
override string | RunThis (string[] arguments)
| Script execution, defined just for formal reasons. More...
Protected Member Functions inherited from IG.Lib.LoadableScriptBase
delegate string | CommandMethod (string commandName, string[] args)
| Delegate for internal command methods. More...
ICommandLineApplicationInterpreter | Script_CreateInterpreter ()
| Creates and returns an interpreter that can be used as script's internal interpreter for running script's commands. More...
virtual string | Script_CommandHelp (string[] arguments)
| Prints help. More...
virtual string | Script_CommandTestScript (string[] arguments)
| Prints help. More...
Protected Attributes inherited from IG.Lib.LoadableScriptBase
string | _embeddedCommandName = null
int | _outputLevel = DefaultOutputLevel
ICommandLineApplicationInterpreter | _script_interpreter
Properties inherited from IG.Lib.LoadableScriptBase
string | EmbeddedCommandName`[get, set]`
| Command that was used to launch the current embedded application script. More...
object | Lock`[get]`
| This object's central lock object to be used by other object. Do not use this object for locking in class' methods, for this you should use InternalLock. More...
string[] | InitializationArguments`[get, set]`
| Arguments used by the initialization method. WARNING: arguments can only be set before initialization is performed. Initialization is performed either implicitly at the first call to the Run method or explicitly by calling the Initialize method. More...
virtual bool | IsInitialized`[get, protected set]`
| Whether the object has been initialized or not. More...
static int | DefaultOutputLevel`[get, set]`
int | OutputLevel`[get, set]`
| Level of output to console produced by some operations of the current object. More...
virtual ICommandLineApplicationInterpreter | Script_Interpreter`[get, protected set]`
| Script's internal interpreter that takes care for execution of installed internal commands. More...
SortedList< string, string > | Script_CommandHelpStrings`[get]`
| Contains help strings associated with script commands installed on interpreter. More...
Properties inherited from IG.Lib.ILoadableScript
string | EmbeddedCommandName`[get, set]`
| Command that was used to launch the current embedded application script. More...
string[] | InitializationArguments`[get, set]`
| Arguments used by the initialization method. More...
bool | IsInitialized`[get]`
| Whether the object has been initialized or not. More...
Properties inherited from IG.Lib.ILockable
object | Lock`[get]`

## Detailed Description

Example script for definition of a new real function class.

## Member Function Documentation

override LoadableRealFunctionBase IG.Script.ScritpRealFunctionExample.CreateRealFunction | ( |  | ) |
| inline virtual

Creates and returns a new real function object where object is of real function class that has been dynamically loaded from the current script.

Implements IG.Lib.LoadableScriptRealFunctionBase.

override LoadableRealFunctionBase IG.Script.ScritpRealFunctionExample.CreateRealFunction | ( | double | Kx,
|  | double | Sx
| ) |  |
| inline virtual

Creates and returns a new real function object where object is of real function class that has been dynamically loaded from the current script.

Parameters

  Kx | Stretch of the reference function graph in x direction.
  Sx | Shift of the reference function graph in x direction.

$A Igor Sep11;

Implements IG.Lib.LoadableScriptRealFunctionBase.

override LoadableRealFunctionBase IG.Script.ScritpRealFunctionExample.CreateRealFunction | ( | double | Kx,
|  | double | Sx,
|  | double | Ky,
|  | double | Sy
| ) |  |
| inline virtual

Creates and returns a new real function object where object is of real function class that has been dynamically loaded from the current script.

Parameters

  Kx | Stretch of the reference function graph in x direction.
  Sx | Shift of the reference function graph in x direction.
  Ky | Stretch of the reference function graph in y direction.
  Sy | Shift of the reference function graph in y direction.

$A Igor Sep11;

Implements IG.Lib.LoadableScriptRealFunctionBase.

The documentation for this class was generated from the following file:

- igbase/interpreters/scriptloader/RealFunctionScriptExample.cs